#ifndef _ORANGE_CHANNELS_H_
#define _ORANGE_CHANNELS_H_

#include <stdint.h>

#define SERVICE_PLAN \
    "http://chaines-tv.orange.fr/live-webapp/live/servicePlan.json"

#define CHANNEL_INFO_URL \
    "http://chaines-tv.orange.fr/live-webapp/user/live/channel/%s/url.json"

typedef struct {
  uint64_t start;
  int hstart, mstart;
  uint64_t end;
  int hend, mend;
  char *title;
  char *genre;
  char *summary;
} program;

typedef struct {
  char *name;
  char *id;
  int drm;
  program *p;
  int psize;
} channel;

typedef struct {
  channel *c;
  int size;
} channels;

void get_channels(channels *);
void free_channels(channels *);

char *get_channel_url(channel *);

#endif /* _ORANGE_CHANNELS_H_ */
